Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search
Interface Search

All Known Implementing Classes:
  SearchImpl

public interface Search

Search helper.

Version:
  $Revision: 1.16 $

Method Summary
`SearchQuery` | `createSearchQuery(java.lang.String grammarUri, org.jdom.Element searchRequestElement, SlideToken token, int maxDepth)` Creates a SearchQuery.
`SearchQuery` | `createSearchQuery(java.lang.String grammarUri, org.jdom.Element searchRequestElement, SlideToken token, int maxDepth, PropertyProvider propertyProvider)` Creates a SearchQuery.
`SearchQuery` | `createSearchQuery(java.lang.String grammarUri, org.jdom.Element searchRequestElement, SlideToken token, int maxDepth, PropertyProvider propertyProvider, java.lang.String requestUri)` Creates a SearchQuery.
`SearchQuery` | `createSearchQuery(java.lang.String grammarUri, org.jdom.Element searchRequestElement, SlideToken token, int maxDepth, java.lang.String requestUri)` Creates a SearchQuery.
`SearchLanguage` | `getLanguage(java.lang.String grammarUri)` retrieves the language bound to a specific grammarUri.
`SearchLanguage[]` | `getSupportedLanguages()` Return the allowed query languages.
`SearchQueryResult` | `search(SlideToken token, SearchQuery query)` Method search

Method Detail

### search

    public SearchQueryResult search(SlideToken token,
                                    SearchQuery query)
                             throws ServiceAccessException,
                                    VetoException

  Method search

  Parameters:
    `token` - a SlideToken
    `query` - a SearchQuery
  Returns:
    the SearchQueryResult
  Throws:
    `ServiceAccessException` - DataSource access error
    `VetoException`

### getSupportedLanguages

    public SearchLanguage[] getSupportedLanguages()

  Return the allowed query languages.

### getLanguage

    public SearchLanguage getLanguage(java.lang.String grammarUri)
                               throws BadQueryException

  retrieves the language bound to a specific grammarUri.

  Parameters:
    `grammarUri` - the URI specifying the grammar
  Returns:
    the SearchLanguage or null, if not found.
  Throws:
    `InvalidQueryException`
    `BadQueryException`

### createSearchQuery

    public SearchQuery createSearchQuery(java.lang.String grammarUri,
                                         org.jdom.Element searchRequestElement,
                                         SlideToken token,
                                         int maxDepth)
                                  throws BadQueryException

  Creates a SearchQuery.

  Parameters:
    `grammarUri` - identifier for the SearchLanguage
    `searchRequestElement` - the JDOM element containing the query
    `token` - the SlideToken
    `maxDepth` - may be 0, 1 or INFINIT
  Returns:
    the SearchQuery
  Throws:
    `BadQueryException`

### createSearchQuery

    public SearchQuery createSearchQuery(java.lang.String grammarUri,
                                         org.jdom.Element searchRequestElement,
                                         SlideToken token,
                                         int maxDepth,
                                         PropertyProvider propertyProvider)
                                  throws BadQueryException

  Creates a SearchQuery.

  Parameters:
    `grammarUri` - identifier for the SearchLanguage.
    `searchRequestElement` - the JDOM element containing the query
    `token` - the SlideToken.
    `maxDepth` - may be 0, 1 or INFINITY.
    `propertyProvider` - the PropertyProvider to use (may be `null`).
  Returns:
    the SearchQuery
  Throws:
    `BadQueryException`

### createSearchQuery

    public SearchQuery createSearchQuery(java.lang.String grammarUri,
                                         org.jdom.Element searchRequestElement,
                                         SlideToken token,
                                         int maxDepth,
                                         java.lang.String requestUri)
                                  throws BadQueryException

  Creates a SearchQuery.

  Parameters:
    `grammarUri` - identifier for the SearchLanguage.
    `searchRequestElement` - the JDOM element containing the query
    `token` - the SlideToken.
    `maxDepth` - may be 0, 1 or INFINITY.
    `requestUri` - the URI of the request.
  Returns:
    the SearchQuery
  Throws:
    `BadQueryException`

### createSearchQuery

    public SearchQuery createSearchQuery(java.lang.String grammarUri,
                                         org.jdom.Element searchRequestElement,
                                         SlideToken token,
                                         int maxDepth,
                                         PropertyProvider propertyProvider,
                                         java.lang.String requestUri)
                                  throws BadQueryException

  Creates a SearchQuery.

  Parameters:
    `grammarUri` - identifier for the SearchLanguage.
    `searchRequestElement` - the JDOM element containing the query
    `token` - the SlideToken.
    `maxDepth` - may be 0, 1 or INFINITY.
    `propertyProvider` - the PropertyProvider to use (may be `null`).
    `requestUri` - the URI of the request.
  Returns:
    the SearchQuery
  Throws:
    `BadQueryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD